<?php
namespace Claromentis\Search\Suggestions;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] ?: array()) + array("_49c6565477ee9f822b499a53e6d" . "2995f" => base64_decode("YXJyYXlfa2V5X2V4a" . "XN0cw=="), "_ab1e14183ebb02378ed5335a96a4" . "288d" => base64_decode("Y2ZnX3NlYXJ" . "jaF9wbHVnaW" . "5z"), "_f73dab606630b388645c4f" . "7d3fbb13bb" => base64_decode("YXJyYXl" . "fbWVyZ2" . "U="), "_7f628626dd1d55c71b1fc0" . "932ffd1d2c" => base64_decode("aXNfYXJyY" . "Xk="));
use ErrorHandler;









class PluginLoader extends ErrorHandler
{
    
    
    
    
    
    
    protected static $valid_applications = array('documents' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Document', 'publish' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Publish', 'news' => 'Claromentis\\Search\\Suggestions\\SearchResource\\News', 'people' => 'Claromentis\\Search\\Suggestions\\SearchResource\\People', 'forum' => 'Claromentis\\Search\\Suggestions\\SearchResource\\Forum');
    
    
    
    
    
    
    
    
    
    
    
    
    
    public static function GetPluginByUrl($url)
    {
        $plugins = static::GetPlugins();
        foreach ($plugins as $_6a02aaefc5f2925e469e5aca3990865a => $_327c87139880ba8bc0fa0b9a7e24a44d) {
            if ($_327c87139880ba8bc0fa0b9a7e24a44d::IsSupportedUrl($url)) {
                $_daf0ea4a4657bd95111bb4f0079b9cff = new $_327c87139880ba8bc0fa0b9a7e24a44d();
                return [$_daf0ea4a4657bd95111bb4f0079b9cff, $_6a02aaefc5f2925e469e5aca3990865a];
            }
        }
        return [null, null];
    }
    
    
    
    
    
    
    
    
    
    public static function PluginFactory($_f44467aacb8a4520c7382769d24aa422)
    {
        $plugins = static::GetPlugins();
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_49c6565477ee9f822b499a" . "53e6d2995f"]($_f44467aacb8a4520c7382769d24aa422, $plugins)) {
            return new $plugins[$_f44467aacb8a4520c7382769d24aa422]();
        } else {
            return null;
        }
    }
    
    
    
    
    
    
    
    private static function GetPlugins()
    {
        global $g_application;
        $_ab1e14183ebb02378ed5335a96a4288d = $g_application->config->get($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_ab1e14183ebb02378ed5335a" . "96a4288d"]);
        if ($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_7f628626dd1d55c71b1fc09" . "32ffd1d2c"]($_ab1e14183ebb02378ed5335a96a4288d)) {
            $plugins = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_f73dab606630" . "b388645c4f7d3" . "fbb13bb"](self::$valid_applications, $_ab1e14183ebb02378ed5335a96a4288d);
        } else {
            $plugins = self::$valid_applications;
        }
        return $plugins;
    }
}